# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping

Packages that use OptTreePlanMapping
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptTreePlanMapping in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptTreePlanMapping
Modifier and Type
Method
Description
`OptTreePlanMapping`
OptTree.`getPlanMapping()`
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptTreePlanMapping
Modifier and Type
Method
Description
`static ArrayList<OptNode>`
OptTreeConverter.`createAbstractOptNodes(ArrayList<Hop> hops, LocalVariableMap vars, OptTreePlanMapping hlMap, Set<String> memo)`
`static OptTree`
OptTreeConverter.`createAbstractOptTree(int ck, double cm, ParForStatementBlock pfsb, ParForProgramBlock pfpb, OptTreePlanMapping hlMap, Set<String> memo, ExecutionContext ec)`
`static OptNode`
OptTreeConverter.`rCreateAbstractOptNode(StatementBlock sb, ProgramBlock pb, LocalVariableMap vars, boolean topLevel, OptTreePlanMapping hlMap, Set<String> memo)`
`static List<OptNode>`
OptTreeConverter.`rCreateAbstractOptNodes(Hop hop, LocalVariableMap vars, OptTreePlanMapping hlMap, Set<String> memo)`
`static void`
OptTreeConverter.`replaceProgramBlock(OptNode parent, OptNode n, ProgramBlock pbOld, ProgramBlock pbNew, OptTreePlanMapping hlMap)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptTreePlanMapping
Modifier
Constructor
Description
``
`CostEstimatorHops(OptTreePlanMapping map)`
``
`CostEstimatorRuntime(OptTreePlanMapping map, LocalVariableMap vars)`
``
`OptTree(int ck, double cm, OptNode node, OptTreePlanMapping hlMap)`